Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.debug.core.launch
Class TransformationRunnerFactory

    java.lang.Object
      org.eclipse.m2m.qvt.oml.debug.core.launch.TransformationRunnerFactory

Direct Known Subclasses:
  DebugRunnerFactory

    public class TransformationRunnerFactory

extends java.lang.Object

Field Summary
`java.util.List<java.lang.String>` | `modelParamURI`
`EPackage.Registry` | `packageRegistry`
`java.lang.String` | `traceFileURI`
`java.lang.String` | `transformationURI`

Constructor Summary
`TransformationRunnerFactory()`

Method Summary
`org.eclipse.m2m.internal.qvt.oml.TransformationRunner` | `createRunner()`
`protected org.eclipse.m2m.internal.qvt.oml.TransformationRunner` | `createRunner(URI transformationURI, EPackage.Registry packageRegistry, java.util.List<URI> modelParamURIs)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### transformationURI

    public java.lang.String transformationURI

### modelParamURI

    public java.util.List<java.lang.String> modelParamURI

### traceFileURI

    public java.lang.String traceFileURI

### packageRegistry

    public EPackage.Registry packageRegistry

Constructor Detail

### TransformationRunnerFactory

    public TransformationRunnerFactory()

Method Detail

### createRunner

    public org.eclipse.m2m.internal.qvt.oml.TransformationRunner createRunner()
                                                                       throws DiagnosticException

  Throws:
    `DiagnosticException`

### createRunner

    protected org.eclipse.m2m.internal.qvt.oml.TransformationRunner createRunner(URI transformationURI,
                                                                                 EPackage.Registry packageRegistry,
                                                                                 java.util.List<URI> modelParamURIs)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD